Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
DSetCreatPropList Class Reference

`#include <c++/src/H5DcreatProp.h>`

## Detailed Description

Class DSetCreatPropList inherits from ObjCreatPropList and provides wrappers for the HDF5 dataset creation property functions.

Inheritance diagram for DSetCreatPropList:

## Public Member Functions
bool | allFiltersAvail () const
| Queries whether all the filters set in this property list are available currently.
| DSetCreatPropList ()
| Default constructor: creates a stub dataset creation property list.
| DSetCreatPropList (const DSetCreatPropList &orig)
| Copy constructor: same HDF5 object as original DSetCreatPropList object.
| DSetCreatPropList (const hid_t plist_id)
| Creates a DSetCreatPropList object using the id of an existing dataset creation property list.
virtual std::string | fromClass () const override
| Returns this class name.
H5D_alloc_time_t | getAllocTime () const
| Get space allocation time for this property.
int | getChunk (int max_ndims, hsize_t *dim) const
| Retrieves the size of the chunks used to store a chunked layout dataset.
void | getExternal (unsigned idx, size_t name_size, char *name, HDoff_t &offset, hsize_t &size) const
| Returns information about an external file.
int | getExternalCount () const
| Returns the number of external files for a dataset.
H5D_fill_time_t | getFillTime () const
| Gets fill value writing time.
void | getFillValue (const DataType &fvalue_type, void *value) const
| Retrieves a dataset fill value.
H5Z_filter_t | getFilter (int filter_number, unsigned int &flags, size_t &cd_nelmts, unsigned int *cd_values, size_t namelen, char name[], unsigned int &filter_config) const
| Returns information about a filter in a pipeline.
void | getFilterById (H5Z_filter_t filter_id, unsigned int &flags, size_t &cd_nelmts, unsigned int *cd_values, size_t namelen, char name[], unsigned int &filter_config) const
| Returns information about a filter in a pipeline given the filter id.
H5D_layout_t | getLayout () const
| Retrieves the layout type of this property list.
int | getNfilters () const
| Returns the number of filters in the pipeline.
H5D_fill_value_t | isFillValueDefined () const
| Check if fill value has been defined for this property.
void | modifyFilter (H5Z_filter_t filter_id, unsigned int flags, size_t cd_nelmts, const unsigned int cd_values[]) const
| Modifies the specified filter.
void | removeFilter (H5Z_filter_t filter_id) const
| Removes one or more filters.
void | setAllocTime (H5D_alloc_time_t alloc_time) const
| Sets space allocation time for dataset during creation.
void | setChunk (int ndims, const hsize_t *dim) const
| Sets the size of the chunks used to store a chunked layout dataset.
void | setDeflate (int level) const
| Sets compression method and compression level.
void | setExternal (const char *name, HDoff_t offset, hsize_t size) const
| Adds an external file to the list of external files.
void | setFillTime (H5D_fill_time_t fill_time) const
| Sets fill value writing time for dataset.
void | setFillValue (const DataType &fvalue_type, const void *value) const
| Sets a dataset fill value.
void | setFilter (H5Z_filter_t filter, unsigned int flags=0, size_t cd_nelmts=0, const unsigned int cd_values[]=NULL) const
| Adds a filter to the filter pipeline.
void | setFletcher32 () const
| Sets Fletcher32 checksum of EDC for this property list.
void | setLayout (H5D_layout_t layout) const
| Sets the type of storage used store the raw data for a dataset.
void | setNbit () const
| Sets up for the use of the Nbit compression filter.
void | setShuffle () const
| Sets method of the shuffle filter.
void | setSzip (unsigned int options_mask, unsigned int pixels_per_block) const
| Sets up for the use of the SZIP compression filter.
void | setVirtual (const DataSpace &vspace, const char *src_fname, const char *src_dsname, const DataSpace &sspace) const
| Maps elements of a virtual dataset to elements of the source dataset.
void | setVirtual (const DataSpace &vspace, const std::string src_fname, const std::string src_dsname, const DataSpace &sspace) const
| Maps elements of a virtual dataset to elements of the source dataset.
virtual | ~DSetCreatPropList () override=default
Public Member Functions inherited from ObjCreatPropList
unsigned | getAttrCrtOrder () const
| Returns the flags indicating creation order is tracked/indexed for attributes on an object.
void | getAttrPhaseChange (unsigned &max_compact, unsigned &min_dense) const
| Gets attribute storage phase change thresholds.
| ObjCreatPropList ()
| Creates a file access property list.
| ObjCreatPropList (const hid_t plist_id)
| Creates a file access property list using the id of an existing one.
| ObjCreatPropList (const ObjCreatPropList &original)
| Copy constructor: same HDF5 object as original.
void | setAttrCrtOrder (unsigned crt_order_flags) const
| Set the flags for creation order of attributes on an object.
void | setAttrPhaseChange (unsigned max_compact=8, unsigned min_dense=6) const
| Sets attribute storage phase change thresholds.
virtual | ~ObjCreatPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
| Closes the property list if it is not a default one.
void | closeClass () const
| Close a property list class.
void | copy (const PropList &like_plist)
| Makes a copy of an existing property list.
void | copyProp (PropList &dest, const char *name) const
| Copies a property from this property list or class to another.
void | copyProp (PropList &dest, const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | copyProp (PropList &dest, PropList &src, const char *name) const
| Copies a property from one list or class to another - Obsolete.
void | copyProp (PropList &dest, PropList &src, const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts. - Obsolete.
hid_t | getClass () const
| Returns the class of this property list, i.e. `H5P_FILE_CREATE`...
std::string | getClassName () const
| Return the name of a generic property list class.
PropList | getClassParent () const
| Returns the parent class of a generic property class.
virtual hid_t | getId () const override
| Get the id of this property list.
size_t | getNumProps () const
| Returns the number of properties in this property list or class.
std::string | getProperty (const char *name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | getProperty (const char *name, void *value) const
| Query the value of a property in a property list.
std::string | getProperty (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | getProperty (const std::string &name, void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
size_t | getPropSize (const char *name) const
| Query the size of a property in a property list or class.
size_t | getPropSize (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
bool | isAClass (const PropList &prop_class) const
| Determines whether a property list is a certain class.
PropList & | operator= (const PropList &rhs)
| Assignment operator.
bool | operator== (const PropList &rhs) const
| Compares this property list or class against the given list or class.
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
| PropList ()
| Default constructor: creates a stub property list object.
| PropList (const hid_t plist_id)
| Creates a property list using the id of an existing property.
| PropList (const PropList &original)
| Copy constructor: same HDF5 object as original.
void | removeProp (const char *name) const
| Removes a property from a property list.
void | removeProp (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const char *charptr) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const std::string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const void *value) const
| Set a property's value in a property list.
void | setProperty (const char *name, std::string &strg) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const char *name, void *value) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const std::string &name, const std::string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const std::string &name, const void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const std::string &name, std::string &strg) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const std::string &name, void *value) const
| Deprecated due to missing const in prototype. (1.10.1).
virtual | ~PropList () override
| Properly terminates access to this property list.
Public Member Functions inherited from IdComponent
void | decRefCount () const
| Decrement reference counter for the id of this object.
void | decRefCount (const hid_t obj_id) const
| Decrement reference counter for a given id.
int | getCounter () const
| Returns the reference counter for the id of this object.
int | getCounter (const hid_t obj_id) const
| Returns the reference counter for a given id.
H5I_type_t | getHDFObjType () const
| Returns the type of the object. It is an overloaded function of the above function.
void | incRefCount () const
| Increment reference counter for the id of this object.
void | incRefCount (const hid_t obj_id) const
| Increment reference counter for a given id.
std::string | inMemFunc (const char *func_name) const
| Makes and returns string "<class-name>::<func_name>".
IdComponent & | operator= (const IdComponent &rhs)
| Assignment operator.
void | setId (const hid_t new_id)
| Sets the identifier of this object to a new value.
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from ObjCreatPropList
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
| Given an id, returns the type of the object.
static hsize_t | getNumMembers (H5I_type_t type)
| Returns the number of members of the given type.
static bool | isValid (hid_t an_id)
| Checks if the given ID is valid.
static bool | typeExists (H5I_type_t type)
| Queries if a given type is currently registered with the library.

## Static Public Attributes
static const DSetCreatPropList & | DEFAULT = *getConstant()
| Default dataset creation property list.
Static Public Attributes inherited from ObjCreatPropList
static const ObjCreatPropList & | DEFAULT = *getConstant()
| Default object creation property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT = *getConstant()
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
| Sets the identifier of this object to a new value.
Protected Member Functions inherited from IdComponent
| IdComponent ()
| Default constructor.
std::string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called = false

## Constructor & Destructor Documentation

## ◆ DSetCreatPropList() [1/3]

DSetCreatPropList | ( |  | ) |

Default constructor: creates a stub dataset creation property list.

## ◆ DSetCreatPropList() [2/3]

DSetCreatPropList | ( | const DSetCreatPropList & | orig | ) |

Copy constructor: same HDF5 object as original DSetCreatPropList object.

## ◆ DSetCreatPropList() [3/3]

DSetCreatPropList | ( | const hid_t | plist_id | ) |

Creates a DSetCreatPropList object using the id of an existing dataset creation property list.

## ◆ ~DSetCreatPropList()

virtual ~DSetCreatPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ allFiltersAvail()

bool allFiltersAvail | ( |  | ) | const

Queries whether all the filters set in this property list are available currently.

Returns
  true if all filters available, and false if one or more filters not currently available

Exceptions

  H5::PropListIException |

## ◆ deleteConstants()

void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual std::string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from ObjCreatPropList.

## ◆ getAllocTime()

H5D_alloc_time_t getAllocTime | ( |  | ) | const

Get space allocation time for this property.

Returns
  Space allocation time.

Exceptions

  H5::PropListIException |

Description
  The values of space allocation time can be one of the following:
  - `H5D_ALLOC_TIME_DEFAULT`
  - `H5D_ALLOC_TIME_EARLY`
  - `H5D_ALLOC_TIME_LATE`
  - `H5D_ALLOC_TIME_INCR`

## ◆ getChunk()

int getChunk | ( | int | max_ndims,
|  | hsize_t * | dim ) const

Retrieves the size of the chunks used to store a chunked layout dataset.

Parameters

  max_ndims | - IN: Size of dim array
  dim | - OUT: Array to store the chunk dimensions

Exceptions

  H5::PropListIException |

## ◆ getExternal()

void getExternal | ( | unsigned | idx,
|  | size_t | name_size,
|  | char * | name,
|  | HDoff_t & | offset,
|  | hsize_t & | size ) const

Returns information about an external file.

Parameters

  idx | - IN: Index of the external file, ranges [0-(N-1)] and returned by getExternalCount()
  name_size | - IN: Maximum length of name
  name | - OUT: Name of the external file
  offset | - OUT: Location to return an offset value
  size | - OUT: Location to return the size of the external file data

Exceptions

  H5::PropListIException |

Description
  The parameter idx ranges [0..N-1] where N is returned by getExternalCount(). At most name_size characters are copied into the name array. If the external file name is longer than name_size with the null terminator, the return value is not null terminated (similar to strncpy()). If name_size is zero or name is a null pointer, the external file name will not be returned. If offset or size are null pointers then the corresponding information will not be returned.

Note
  In 1.14.x and earlier, the offset parameter was of type off_t, which is a 32-bit signed long value on Windows, which limited the valid offset that can be returned to 2 GiB.

Version
  2.0.0 `offset` parameter type changed to HDoff_t from off_t.

## ◆ getExternalCount()

int getExternalCount | ( |  | ) | const

Returns the number of external files for a dataset.

Returns
  Number of external files

Exceptions

  H5::PropListIException |

## ◆ getFillTime()

H5D_fill_time_t getFillTime | ( |  | ) | const

Gets fill value writing time.

Returns
  Fill value writing time

Exceptions

  H5::PropListIException |

Description
  Valid values for fill value writing time include
  - `H5D_FILL_TIME_NEVER`
  - `H5D_FILL_TIME_ALLOC`.

## ◆ getFillValue()

void getFillValue | ( | const DataType & | fvalue_type,
|  | void * | value ) const

Retrieves a dataset fill value.

Parameters

  fvalue_type | - IN: Data type for the value passed via value
  value | - OUT: Pointer to buffer to hold the retrieved fill value

Exceptions

  H5::PropListIException |

Description
  The fill value is returned through value pointer and the memory is allocated by the caller. The fill value will be converted from its current data type to the specified by fvalue_type.

## ◆ getFilter()

H5Z_filter_t getFilter | ( | int | filter_number,
|  | unsigned int & | flags,
|  | size_t & | cd_nelmts,
|  | unsigned int * | cd_values,
|  | size_t | namelen,
|  | char | name[],
|  | unsigned int & | filter_config ) const

Returns information about a filter in a pipeline.

Parameters

  filter_number | - IN: Filter to get, range [0..N-1], where N is returned by H5Pget_nfilters()
  flags | - OUT: General properties of the filter
  cd_nelmts | - IN/OUT: Number of elements in cd_values /Number of values defined by the filter
  cd_values | - OUT: Array to hold the data; allocated by the user
  namelen | - IN: Length of name
  name | - OUT: Name of the filter
  filter_config | - OUT: Flags indicating whether filter can encode/decode

Returns
  Filter id

Exceptions

  H5::PropListIException |

Description
  Failure occurs when filter_number is out of range.

## ◆ getFilterById()

void getFilterById | ( | H5Z_filter_t | filter_id,
|  | unsigned int & | flags,
|  | size_t & | cd_nelmts,
|  | unsigned int * | cd_values,
|  | size_t | namelen,
|  | char | name[],
|  | unsigned int & | filter_config ) const

Returns information about a filter in a pipeline given the filter id.

Parameters

  filter_id | - IN: Filter to get
  flags | - OUT: General properties of the filter
  cd_nelmts | - IN/OUT: Number of elements in cd_values /Number of values defined by the filter
  cd_values | - OUT: Array to hold the data; allocated by the user
  namelen | - IN: Length of name
  name | - OUT: Name of the filter
  filter_config | - OUT: Flags indicating whether filter can encode/decode

Exceptions

  H5::PropListIException |

## ◆ getLayout()

H5D_layout_t getLayout | ( |  | ) | const

Retrieves the layout type of this property list.

Returns
  Layout type, which can be:
  - `H5D_COMPACT` - raw data is stored in the object header in the file.
  - `H5D_CONTIGUOUS` - raw data is stored separately from the object header in one contiguous chunk in the file.
  - `H5D_CHUNKED` - raw data is stored separately from the object header in chunks in separate locations in the file.

Exceptions

  H5::PropListIException |

Description

## ◆ getNfilters()

int getNfilters | ( |  | ) | const

Returns the number of filters in the pipeline.

Returns
  Number of filters

Exceptions

  H5::PropListIException |

## ◆ isFillValueDefined()

H5D_fill_value_t isFillValueDefined | ( |  | ) | const

Check if fill value has been defined for this property.

Returns
  - `H5D_FILL_VALUE_UNDEFINED` =0,
  - `H5D_FILL_VALUE_DEFAULT` =1,
  - `H5D_FILL_VALUE_USER_DEFINED` =2

Exceptions

  H5::PropListIException |

## ◆ modifyFilter()

void modifyFilter | ( | H5Z_filter_t | filter_id,
|  | unsigned int | flags,
|  | size_t | cd_nelmts,
|  | const unsigned int | cd_values[] ) const

Modifies the specified filter.

Parameters

  filter_id | - IN: Filter to get
  flags | - OUT: General properties of the filter
  cd_nelmts | - IN: Number of elements in cd_values OUT: Number of values defined by the filter
  cd_values | - OUT: Array to hold the data; allocated by the user

Exceptions

  H5::PropListIException |

Description
  The flags argument is a bit vector of the field: `H5Z_FLAG_OPTIONAL(0x0001)`

  If this bit is set then the filter is optional. If the filter fails during a DataSet::write() operation then the filter is just excluded from the pipeline for the chunk for which it failed; the filter will not participate in the pipeline during a DataSet::read() of the chunk. If this bit is clear and the filter fails then the entire I/O operation fails.

## ◆ removeFilter()

void removeFilter | ( | H5Z_filter_t | filter_id | ) | const

Removes one or more filters.

Parameters

  filter_id | - IN: Filter to remove

Exceptions

  H5::PropListIException |

Description
  Deletes a filter from the dataset creation property list; deletes all filters if filter_id is `H5Z_FILTER_ALL`.

## ◆ setAllocTime()

void setAllocTime | ( | H5D_alloc_time_t | alloc_time | ) | const

Sets space allocation time for dataset during creation.

Parameters

  alloc_time | - IN: Allocation time

Exceptions

  H5::PropListIException |

Description
  Valid values for space allocation time include:
  - `H5D_ALLOC_TIME_DEFAULT`
  - `H5D_ALLOC_TIME_EARLY`
  - `H5D_ALLOC_TIME_LATE`
  - `H5D_ALLOC_TIME_INCR`

## ◆ setChunk()

void setChunk | ( | int | ndims,
|  | const hsize_t * | dim ) const

Sets the size of the chunks used to store a chunked layout dataset.

Parameters

  ndims | - IN: Number of dimensions of each chunk
  dim | - IN: Array containing the size of each chunk

Exceptions

  H5::PropListIException |

Description
  The ndims parameter currently must have the same value as the rank of the dataset. The values of the dim array define the size of the chunks to store the dataset's raw data. As a side-effect, the layout of the dataset will be changed to `H5D_CHUNKED`, if it is not so already.

## ◆ setDeflate()

void setDeflate | ( | int | level | ) | const

Sets compression method and compression level.

Parameters

  level | - IN: Compression level, should [0..9], inclusive

Exceptions

  H5::PropListIException |

Description
  The function sets the compression method for this property list to `H5D_COMPRESS_DEFLATE` and the compression level to level. Lower compression levels are faster but result in less compression.

## ◆ setExternal()

void setExternal | ( | const char * | name,
|  | HDoff_t | offset,
|  | hsize_t | size ) const

Adds an external file to the list of external files.

Parameters

  name | - IN: Name of the external file
  offset | - IN: Location where the data starts in the file
  size | - IN: Number of bytes reserved in the file for the data

Exceptions

  H5::PropListIException |

Description
  If a dataset is split across multiple files then the files should be defined in order. The total size of the dataset is the sum of the size arguments for all the external files. If the total size is larger than the size of a dataset then the dataset can be extended (provided the data space also allows the extending).

Note
  In 1.14.x and earlier, the offset parameter was of type off_t, which is a 32-bit signed long value on Windows, which limited the valid offset that can be set to 2 GiB.

Version
  2.0.0 `offset` parameter type changed to HDoff_t from off_t.

## ◆ setFillTime()

void setFillTime | ( | H5D_fill_time_t | fill_time | ) | const

Sets fill value writing time for dataset.

Exceptions

  H5::PropListIException |

Description
  Valid values for fill value writing time include
  - `H5D_FILL_TIME_NEVER`
  - `H5D_FILL_TIME_ALLOC`.

## ◆ setFillValue()

void setFillValue | ( | const DataType & | fvalue_type,
|  | const void * | value ) const

Sets a dataset fill value.

Parameters

  fvalue_type | - IN: Data type for the value passed via value
  value | - IN: Pointer to buffer containing the fill value

Exceptions

  H5::PropListIException |

Description
  The datatype may differ from that of the dataset, but it must be one that the HDF5 library is able to convert value to the dataset datatype when the dataset is created. The default fill value is 0 (zero,) which is interpreted according to the actual dataset datatype.

  For information on setting fill value, please refer to the H5Pset_fill_value API in the HDF5 C Reference Manual.

## ◆ setFilter()

void setFilter | ( | H5Z_filter_t | filter_id,
|  | unsigned int | flags = 0,
|  | size_t | cd_nelmts = 0,
|  | const unsigned int | cd_values[] = NULL ) const

Adds a filter to the filter pipeline.

Parameters

  filter_id | - IN: Filter to add
  flags | - IN: Specifies general properties of the filter
  cd_nelmts | - IN: Number of elements in cd_values
  cd_values | - IN: Auxiliary data for the filter

Exceptions

  H5::PropListIException |

Description
  The flags argument is a bit vector of the field: `H5Z_FLAG_OPTIONAL(0x0001)`

  If this bit is set then the filter is optional. If the filter fails during a `DataSet::write()` operation then the filter is just excluded from the pipeline for the chunk for which it failed; the filter will not participate in the pipeline during a `DataSet::read()` of the chunk. If this bit is clear and the filter fails then the entire I/O operation fails.

## ◆ setFletcher32()

void setFletcher32 | ( |  | ) | const

Sets Fletcher32 checksum of EDC for this property list.

Exceptions

  H5::PropListIException |

## ◆ setLayout()

void setLayout | ( | H5D_layout_t | layout | ) | const

Sets the type of storage used store the raw data for a dataset.

Parameters

  layout | - IN: Type of storage layout for raw data

Exceptions

  H5::PropListIException |

Description
  For information, please refer to the H5Pset_layout API in the HDF5 C Reference Manual.

## ◆ setNbit()

void setNbit | ( |  | ) | const

Sets up for the use of the Nbit compression filter.

Exceptions

  H5::PropListIException |

Description
  The associate C function sets an Nbit compression filter, H5Z_FILTER_NBIT, for a dataset. For more information about Nbit compression, please refer to the H5Pset_nbit API in the HDF5 C Reference Manual.

## ◆ setShuffle()

void setShuffle | ( |  | ) | const

Sets method of the shuffle filter.

Exceptions

  H5::PropListIException |

Description
  For information, please refer to the H5Pset_shuffle API in the HDF5 C Reference Manual.

## ◆ setSzip()

void setSzip | ( | unsigned int | options_mask,
|  | unsigned int | pixels_per_block ) const

Sets up for the use of the SZIP compression filter.

Parameters

  options_mask | - IN: A bit-mask conveying the desired SZIP options. Valid values are H5_SZIP_EC_OPTION_MASK and H5_SZIP_NN_OPTION_MASK.
  pixels_per_block | - IN: Number of pixels or data elements in each data block.

Exceptions

  H5::PropListIException |

Description
  The associate C function sets an SZIP compression filter, H5Z_FILTER_SZIP, for a dataset. For more information about SZIP and usage, please refer to the H5Pset_szip API in the HDF5 C Reference Manual.

## ◆ setVirtual() [1/2]

void setVirtual | ( | const DataSpace & | vspace,
|  | const char * | src_fname,
|  | const char * | src_dsname,
|  | const DataSpace & | sspace ) const

Maps elements of a virtual dataset to elements of the source dataset.

Parameters

  vspace | - IN: Dataspace the virtual dataset, possibly an unlimited selection
  src_fname | - IN: Name of the HDF5 file where the source dataset is located (char*)
  src_dsname | - IN: Path to the dataset in the file specified by src_file_name (char*)
  sspace | - IN: Dataspace with a selection applied, possibly an unlimited selection

Exceptions

  H5::PropListIException |

Description
  For information, please refer to the H5Pset_virtual API in the HDF5 C Reference Manual.

## ◆ setVirtual() [2/2]

void setVirtual | ( | const DataSpace & | vspace,
|  | const std::string | src_fname,
|  | const std::string | src_dsname,
|  | const DataSpace & | sspace ) const

Maps elements of a virtual dataset to elements of the source dataset.

Parameters

  vspace | - IN: Dataspace the virtual dataset, possibly an unlimited selection
  src_fname | - IN: Name of the HDF5 file where the source dataset is located (H5std_string)
  src_dsname | - IN: Path to the dataset in the file specified by src_file_name (H5std_string)
  sspace | - IN: Dataspace with a selection applied, possibly an unlimited selection

Exceptions

  H5::PropListIException |

Description
  For information, please refer to the H5Pset_virtual API in the HDF5 C Reference Manual.

## Field Documentation

## ◆ DEFAULT

const DSetCreatPropList & DEFAULT = *getConstant()
| static

Default dataset creation property list.

The documentation for this class was generated from the following files:

- c++/src/H5DcreatProp.h
- c++/src/H5DcreatProp.cpp